Used to communicate with the player and receive messages from the player Abstracts the players socket

### Hierarchy

- Channel

## Index

### Constructors

- constructor

### Properties

- handlers
- socket

### Methods

- disconnect
- isConnected
- registerHandler
- removeAllHandlers
- send

## Constructors

### constructor

- new Channel(socket: Socket): Channel

- - Defined in tournament/model/Channel.ts:9

  #### Parameters

  - ##### socket: Socket

  #### Returns Channel

## Properties

### Private handlers

handlers: Array<[string, Handler]> = []

- Defined in tournament/model/Channel.ts:9

### Private socket

socket: Socket

- Defined in tournament/model/Channel.ts:11

## Methods

### disconnect

- disconnect(): void

- - Defined in tournament/model/Channel.ts:32

  #### Returns void

### isConnected

- isConnected(): boolean

- - Defined in tournament/model/Channel.ts:28

  #### Returns boolean

### registerHandler

- registerHandler(type: string, handler: Handler): void

- - Defined in tournament/model/Channel.ts:13

  #### Parameters

  - ##### type: string

  - ##### handler: Handler

  #### Returns void

### removeAllHandlers

- removeAllHandlers(): void

- - Defined in tournament/model/Channel.ts:18

  #### Returns void

### send

- send(type: string, ...args: any[]): void

- - Defined in tournament/model/Channel.ts:24

  #### Parameters

  - ##### type: string

  - ##### Rest ...args: any[]

  #### Returns void

Generated using TypeDoc